Subject: Bug#343: Invisible UI components when compositing enabled

From: Wil <[email-masked]>
Date: Sun, 17 Nov 2013 00:10:23 +0000

Package: x2goclient 4.0.1.1-0~427~ubuntu12.04.1
Version: 4.0.1.1 (from x2go stable)

Ubuntu 12.04.2 LTS
3.2.0-51-generic-pae #77-Ubuntu SMP Wed Jul 24 20:40:32 UTC 2013 i686
Qt: 4.8.1
KDE Development Platform: 4.8.5 (4.8.5) KDE Daemon: $Id$

When the compositing extension is enabled some UI elements seem to
completely disappear. For example using the oxygen theme in kde the menus
are no longer visible (likewise oxygen-gtk for gtk+ apps). Also the scroll
bar overlay control for the thin gtk+ scrollbars does not appear to show.
The default panel in kde is also invisible. I'm not sure how much work it
would be to fix this but with compositing turned off there are often thick
black borders around UI elements that should be composited. This even
affects applications like Eclipse as well as the window / display manager UI
etc.